## qt6-3d 6.3.1+dfsg

=== debian/changelog ===
qt6-3d (6.3.1+dfsg-4) unstable; urgency=medium

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Increase CMake verbosity level, allowing to check more details of the
    build.
  * Add qt6-multimedia-dev as a Build Dependency, which is an optional one.
  * Bump minimum CMake version in order to get pkg-config's .pc files.

  [ Pino Toscano ]
  * Mark a Linux-only symbol as such.

 -- Pino Toscano <pino@debian.org>  Tue, 06 Sep 2022 23:14:45 +0200

qt6-3d (6.3.1+dfsg-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Tue, 16 Aug 2022 23:39:50 +0200

qt6-3d (6.3.1+dfsg-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:22:05 +0200

qt6-3d (6.3.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Jul 2022 11:17:46 +0200

qt6-3d (6.3.0+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.

 -- Patrick Franz <deltaone@debian.org>  Wed, 15 Jun 2022 17:49:43 +0200

qt6-3d (6.2.4+dfsg-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:06:08 +0200
